void fenetreNote0_0 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_0"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_0 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_0");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_0");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_0");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_0");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_0");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,0,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,0,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,0,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,0,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,0,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,0,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,0,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,0,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,0,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,0,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,0,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,0,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,0,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,0,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,0,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,0,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,0,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,0,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,0,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,0,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,0,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,0,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,0,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,0,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,0,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,0,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,0,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,0,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,0,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,0,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,0,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,0,5);
}
void fenetreNote0_1 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_1"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_1 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_1");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_1");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_1");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_1");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_1");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,1,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,1,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,1,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,1,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,1,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,1,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,1,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,1,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,1,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,1,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,1,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,1,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,1,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,1,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,1,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,1,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,1,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,1,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,1,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,1,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,1,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,1,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,1,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,1,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,1,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,1,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,1,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,1,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,1,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,1,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,1,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,1,5);
}
void fenetreNote0_2 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_2"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_2 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_2");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_2");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_2");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_2");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_2");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,2,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,2,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,2,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,2,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,2,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,2,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,2,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,2,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,2,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,2,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,2,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,2,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,2,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,2,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,2,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,2,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,2,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,2,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,2,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,2,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,2,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,2,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,2,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,2,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,2,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,2,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,2,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,2,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,2,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,2,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,2,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,2,5);
}
void fenetreNote0_3 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_3"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_3 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_3");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_3");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_3");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_3");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_3");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,3,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,3,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,3,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,3,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,3,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,3,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,3,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,3,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,3,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,3,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,3,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,3,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,3,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,3,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,3,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,3,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,3,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,3,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,3,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,3,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,3,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,3,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,3,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,3,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,3,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,3,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,3,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,3,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,3,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,3,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,3,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,3,5);
}
void fenetreNote0_4 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_4"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_4 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_4");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_4");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_4");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_4");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_4");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,4,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,4,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,4,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,4,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,4,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,4,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,4,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,4,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,4,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,4,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,4,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,4,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,4,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,4,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,4,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,4,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,4,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,4,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,4,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,4,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,4,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,4,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,4,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,4,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,4,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,4,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,4,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,4,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,4,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,4,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,4,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,4,5);
}
void fenetreNote0_5 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_5"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_5 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_5");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_5");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_5");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_5");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_5");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,5,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,5,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,5,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,5,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,5,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,5,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,5,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,5,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,5,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,5,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,5,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,5,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,5,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,5,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,5,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,5,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,5,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,5,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,5,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,5,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,5,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,5,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,5,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,5,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,5,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,5,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,5,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,5,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,5,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,5,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,5,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,5,5);
}
void fenetreNote0_6 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_6"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_6 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_6");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_6");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_6");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_6");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_6");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,6,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,6,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,6,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,6,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,6,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,6,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,6,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,6,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,6,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,6,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,6,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,6,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,6,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,6,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,6,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,6,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,6,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,6,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,6,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,6,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,6,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,6,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,6,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,6,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,6,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,6,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,6,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,6,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,6,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,6,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,6,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,6,5);
}
void fenetreNote0_7 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_7"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_7 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_7");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_7");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_7");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_7");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_7");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,7,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,7,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,7,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,7,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,7,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,7,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,7,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,7,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,7,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,7,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,7,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,7,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,7,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,7,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,7,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,7,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,7,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,7,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,7,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,7,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,7,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,7,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,7,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,7,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,7,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,7,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,7,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,7,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,7,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,7,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,7,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,7,5);
}
void fenetreNote0_8 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_8"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_8 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_8");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_8");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_8");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_8");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_8");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,8,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,8,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,8,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,8,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,8,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,8,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,8,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,8,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,8,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,8,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,8,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,8,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,8,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,8,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,8,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,8,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,8,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,8,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,8,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,8,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,8,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,8,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,8,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,8,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,8,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,8,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,8,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,8,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,8,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,8,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,8,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,8,5);
}
void fenetreNote0_9 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_9"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_9 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_9");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_9");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_9");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_9");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_9");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,9,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,9,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,9,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,9,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,9,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,9,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,9,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,9,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,9,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,9,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,9,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,9,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,9,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,9,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,9,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,9,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,9,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,9,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,9,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,9,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,9,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,9,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,9,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,9,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,9,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,9,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,9,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,9,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,9,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,9,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,9,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,9,5);
}
void fenetreNote0_0 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_0"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_0 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_0");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_0");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_0");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_0");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_0");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,0,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,0,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,0,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,0,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,0,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,0,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,0,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,0,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,0,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,0,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,0,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,0,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,0,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,0,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,0,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,0,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,0,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,0,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,0,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,0,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,0,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,0,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,0,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,0,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,0,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,0,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,0,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,0,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,0,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,0,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,0,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,0,5);
}
void fenetreNote0_0 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_0"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_0 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_0");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_0");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_0");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_0");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_0");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,0,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,0,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,0,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,0,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,0,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,0,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,0,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,0,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,0,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,0,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,0,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,0,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,0,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,0,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,0,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,0,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,0,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,0,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,0,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,0,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,0,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,0,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,0,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,0,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,0,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,0,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,0,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,0,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,0,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,0,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,0,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,0,5);
}
void fenetreNote0_0 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_0"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_0 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_0");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_0");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_0");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_0");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_0");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,0,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,0,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,0,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,0,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,0,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,0,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,0,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,0,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,0,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,0,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,0,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,0,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,0,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,0,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,0,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,0,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,0,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,0,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,0,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,0,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,0,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,0,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,0,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,0,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,0,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,0,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,0,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,0,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,0,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,0,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,0,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,0,5);
}
void fenetreNote0_0 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_0"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_0 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_0");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_0");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_0");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_0");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_0");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,0,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,0,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,0,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,0,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,0,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,0,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,0,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,0,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,0,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,0,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,0,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,0,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,0,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,0,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,0,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,0,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,0,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,0,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,0,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,0,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,0,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,0,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,0,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,0,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,0,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,0,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,0,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,0,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,0,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,0,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,0,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,0,5);
}
void fenetreNote0_0 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_0"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_0 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_0");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_0");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_0");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_0");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_0");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,0,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,0,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,0,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,0,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,0,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,0,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,0,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,0,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,0,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,0,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,0,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,0,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,0,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,0,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,0,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,0,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,0,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,0,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,0,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,0,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,0,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,0,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,0,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,0,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,0,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,0,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,0,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,0,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,0,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,0,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,0,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,0,5);
}
void fenetreNote0_0 ( int argc, char *argv[] )
{
  GtkWidget *maFenetreNote = GTK_WIDGET( gtk_builder_get_object( monBuilder, "ajoutnote0_0"));
  
  gtk_widget_show_all (maFenetreNote);
}

void remplissageNote0_0 (GtkWidget *widget, gpointer *data){

  GtkEntry *entryNote = (GtkEntry*) gtk_builder_get_object(monBuilder,"combonote0_0");
  GtkEntry *entryOctave = (GtkEntry*) gtk_builder_get_object(monBuilder,"combooctave0_0");
  GtkEntry *entryInstrument = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboinstrument0_0");
  GtkEntry *entryVolume = (GtkEntry*) gtk_builder_get_object(monBuilder,"combovolume0_0");
  GtkEntry *entryEffet = (GtkEntry*) gtk_builder_get_object(monBuilder,"comboeffet0_0");

  const char *strnote = gtk_entry_get_text(GTK_ENTRY(entryNote));
  const char *stroctave = gtk_entry_get_text(GTK_ENTRY(entryOctave));
  const char *strinstrument = gtk_entry_get_text(GTK_ENTRY(entryInstrument));
  const char *strvolume = gtk_entry_get_text(GTK_ENTRY(entryVolume));
  const char *streffet = gtk_entry_get_text(GTK_ENTRY(entryEffet));

  if (strcmp(Do,strnote)==0) definirNote(m,0,0,1);
  else 
    if (strcmp(DoD,strnote)==0) definirNote(m,0,0,2);
    else
      if (strcmp(Re,strnote)==0) definirNote(m,0,0,3);
      else
	if (strcmp(ReD,strnote)==0) definirNote(m,0,0,4);
	else
	  if (strcmp(Mi,strnote)==0) definirNote(m,0,0,5);
	  else
	    if (strcmp(Fa,strnote)==0) definirNote(m,0,0,6);
	    else
	      if (strcmp(FaD,strnote)==0) definirNote(m,0,0,7);
	      else
		if (strcmp(Sol,strnote)==0) definirNote(m,0,0,8);
		else
		  if (strcmp(SolD,strnote)==0) definirNote(m,0,0,9);
		  else
		    if (strcmp(La,strnote)==0) definirNote(m,0,0,10);
		    else
		      if (strcmp(LaD,strnote)==0) definirNote(m,0,0,11);
		      else
			if (strcmp(Si,strnote)==0) definirNote(m,0,0,12);

  if (strcmp(N1,stroctave)==0) definirOctave(m,0,0,1);
  else
    if (strcmp(N2,stroctave)==0) definirOctave(m,0,0,2);
    else
      if (strcmp(N3,stroctave)==0) definirOctave(m,0,0,3);
      else
	if (strcmp(N4,stroctave)==0) definirOctave(m,0,0,4);
	else
	  if (strcmp(N5,stroctave)==0) definirOctave(m,0,0,5);

  if (strcmp(N1,strinstrument)==0) definirInstrument(m,0,0,1);
  else
    if (strcmp(N2,strinstrument)==0) definirInstrument(m,0,0,2);
    else
      if (strcmp(N3,strinstrument)==0) definirInstrument(m,0,0,3);
      else
	if (strcmp(N4,strinstrument)==0) definirInstrument(m,0,0,4);
	else
	  if (strcmp(N5,strinstrument)==0) definirInstrument(m,0,0,5);

  if (strcmp(N1,strvolume)==0) definirVolume(m,0,0,1);
  else
    if (strcmp(N2,strvolume)==0) definirVolume(m,0,0,2);
    else
      if (strcmp(N3,strvolume)==0) definirVolume(m,0,0,3);
      else
	if (strcmp(N4,strvolume)==0) definirVolume(m,0,0,4);
	else
	  if (strcmp(N5,strvolume)==0) definirVolume(m,0,0,5);

  if (strcmp(N1,streffet)==0) definirEffet(m,0,0,1);
  else
    if (strcmp(N2,streffet)==0) definirEffet(m,0,0,2);
    else
      if (strcmp(N3,streffet)==0) definirEffet(m,0,0,3);
      else
	if (strcmp(N4,streffet)==0) definirEffet(m,0,0,4);
	else
	  if (strcmp(N5,streffet)==0) definirEffet(m,0,0,5);
}
